# Interface Transformation

An automatic datum transformation that will be applied when projecting from the given input spatial reference to the given output spatial reference, or vice versa.

interface Transformation {
inSpatialReference: SpatialReference;
outSpatialReference: SpatialReference;
transformation: GeographicTransformation;
}

#####
Index

### Properties

inSpatialReference
outSpatialReference
transformation

##
Properties

### inSpatialReference

inSpatialReference: SpatialReference

The input spatial reference.

### outSpatialReference

outSpatialReference: SpatialReference

The out spatial reference.

### transformation

transformation: GeographicTransformation

The geographic transformation which contains the steps to transform the input spatial reference to the output spatial reference.